
"""
pageCatcher demo script:
   reverse the pages in a pdf file.   
"""
inputFileName = "sample2.pdf"
outputFileName = "out2_reversed.pdf"
storageFile = "sample2.data"

print "reversing", inputFileName, "into", outputFileName

try:
    from pageCatcher import *
except:
    pass # running inside pageCatcher module?
storeForms(inputFileName, storageFile, all=1)
print "stored all pages to", storageFile
canv = canvas.Canvas(outputFileName)
formNames = restoreForms(storageFile, canv)

# write out the pages in reversed order
formNames.reverse()
for f in formNames:
    canv.doForm(f)
    canv.showPage()
canv.save()
print "wrote", outputFileName